function love.load()
	love._openConsole()
	myInventory = {} --our new inventory is a simple table

	local myItem = "Hammer" --simple item will be a string
	local myUniqueItem = {name="Super Hammer",bonus=5} --special item will be a table with anything we like in it

	addItemToInventory(myInventory, myItem, 10) --we add 10 hammers to inventory
	addItemToInventory(myInventory, myUniqueItem, 1) --we add 1 superhammer to inventory
	
	addItemToInventory(myInventory, {name="Davidobot's Bane", bonus=9001}, 1) --we add 1 superhammer to inventory
	addItemToInventory(myInventory, {name="Davidobot's Shield", bonus=100}, 1) --we add 1 superhammer to inventory
	
	addItemToInventory(myInventory, "Life Elixir", 200) --we add 10 hammers to inventory
	
	removeItemFromInventory(myInventory, myItem, 4) --we remove 4 hammers from inventory

	printItemsInInventory(myInventory) --we print contents of the inventory
end

-- Inventory Functions
function addItemToInventory(inventory,item,amount)
	if (inventory[item] ~= nil) then  --there are items like this in the inventory already
		inventory[item] = inventory[item] + amount --so we add the amount to the ones already there
	else --there is no item like this in the inventory
	    inventory[item] = amount --so the new amount of that item is the one we're adding
	end
end

function removeItemFromInventory(inventory,item,amount)
    if (inventory[item] == nil) then return end --there are no such items in the inventory, we do nothing
   
    if (inventory[item] <= amount) then --we're removing more of such items than there are in the inventory
       inventory[item] = nil --so we will have no items like it afterwards
    else --there is more of such items than we are removing
       inventory[item] = inventory[item] - amount --so we subtract the amount we're removing
    end
end

function printItemsInInventory(inventory)
    for item,amount in pairs(inventory) do --we're traversing the table, table keys are items, table values are amounts of items
        if (type(item)=="table") then --complicated items are represented by a table
			print("Name: "..item.name or "Unknown","Amount: "..amount,"Bonus: "..item.bonus or "No Bonus") --if item has a name we use that, otherwise we use "Unknown" for printing
        else --it's a simple item represented by a string
			print("Name: "..item,"Amount: "..amount) --we print the item and how much there is of it
		end
	end
end